﻿using Microsoft.EntityFrameworkCore;

namespace CompactGuitar.SongDatabase
{
    public class SongDbContext : DbContext
    {
        private string connectionString = @"server=(localdb)\MSSQLLocalDB;Initial Catalog=SongDB; Integrated Security=true";

        public DbSet<Song> Songs { get; set; }

        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
        {
            optionsBuilder.UseSqlServer(connectionString);
        }

        public SongDbContext()
        {
            Database.EnsureCreated();
        }     

        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
            modelBuilder.Entity<Song>().HasData(
                new Song
                {
                    Name = "Dani California",
                    Author = "Red Hot Chili Peppers",
                    Chords = File.ReadAllText(Directory.GetCurrentDirectory() + @"\..\..\..\SongDatabase\songs\Dani California Chords.txt"),
                    Lyrics = File.ReadAllText(Directory.GetCurrentDirectory() + @"\..\..\..\SongDatabase\songs\Dani California Lyrics.txt"),
                },
                new Song
                {
                    Name = "Fluorescent Adolescent",
                    Author = "Arctic Monkeys",
                    Chords = File.ReadAllText(Directory.GetCurrentDirectory() + @"\..\..\..\SongDatabase\songs\Fluorescent Adolescent Chords.txt"),
                    Lyrics = File.ReadAllText(Directory.GetCurrentDirectory() + @"\..\..\..\SongDatabase\songs\Fluorescent Adolescent Lyrics.txt"),
                },
                new Song
                {
                    Name = "Wish You Were Here",
                    Author = "Pink Floyd",
                    Chords = File.ReadAllText(Directory.GetCurrentDirectory() + @"\..\..\..\SongDatabase\songs\Wish You Were Here Chords.txt"),
                    Lyrics = File.ReadAllText(Directory.GetCurrentDirectory() + @"\..\..\..\SongDatabase\songs\Wish You Were Here Lyrics.txt"),
                });
        }
    }
}
