﻿using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CompactGuitar.SongDatabase
{
    public class SongDbManager
    {
        public async Task<List<Song>> GetAllSongs()
        {
            using var db = new SongDbContext();
            return await db.Songs.ToListAsync();
        }

        public async Task AddSong(Song song)
        {
            using (var db = new SongDbContext())
            {              
                db.Songs.Add(song);
                await db.SaveChangesAsync();
            }           
        }

        public async Task DeleteSong(Song song)
        {
            using (var db = new SongDbContext())
            {
                db.Songs.Remove(song);
                await db.SaveChangesAsync();
            }
        } 

        public async Task DeleteDatabase()
        {
            using var db = new SongDbContext();
            await db.Database.EnsureDeletedAsync();
        }
    }
}
