﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace CompactGuitar
{
    public partial class StatsForm : Form
    {
        public enum GameType { Chord, Ear }
        GameType gameType;
        public StatsForm(GameType type)
        {
            gameType = type;
            InitializeComponent();
            PasswordChecker.BringToFront();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (passwordBox.Text == "12345")
            {
                DisplayStats();
                DataPanel.BringToFront();
            }              
            else
                warningLabel.Visible = true;
        }

        private void DisplayStats()
        {
            var lines = File.ReadLines(Directory.GetCurrentDirectory() + @"\..\..\..\Resources\GameStats\" + gameType.ToString() + "Stats.txt");
            foreach (var line in lines)
            {
                var statTable = CreateStatTable(line);
                DataPanel.Controls.Add(statTable);
                statTable.BringToFront();
            }
        }

        private TableLayoutPanel CreateStatTable(string line)
        {
            var table = new TableLayoutPanel { Dock = DockStyle.Top, Size = new Size(800, 44), RowCount = 1, ColumnCount = 1 };
            var text1 = new Label { Dock = DockStyle.Fill, TextAlign = ContentAlignment.MiddleCenter, BorderStyle = BorderStyle.FixedSingle };
            text1.Font = new Font("Microsoft Sans Serif", 14F, FontStyle.Bold);
            text1.Text = line;
            table.Controls.Add(text1);
            return table;
        }

        private void button2_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void deleteDbButton_Click(object sender, EventArgs e)
        {
            File.WriteAllText(Directory.GetCurrentDirectory() + @"\..\..\..\Resources\GameStats\" + gameType.ToString() + "Stats.txt", String.Empty);
            this.Close();
        }
    }
}
