﻿using NAudio.Wave;

namespace CompactGuitar.Tuner
{
    public class SoundDetect
    {
        IWaveProvider source;
        Autocorrelator freqDetector;

        public SoundDetect(IWaveProvider source)
        {
            this.source = source;
            this.freqDetector = new Autocorrelator(source.WaveFormat.SampleRate);
        }

        public float GetFreq(byte[] buffer)
        {
            WaveBuffer waveBuffer = new WaveBuffer(buffer.Length);
            int bytesRead = source.Read(waveBuffer, 0, buffer.Length);
            int fr = bytesRead / sizeof(float);
            return freqDetector.DetectPitch(waveBuffer.FloatBuffer, fr);
        }
    }
}
